Page MenuHomePhabricator

Changes to promote diversity at the Wikimedia Hackathon 2017
Closed, ResolvedPublic

Description

@Katherine-WMF forwarded a very interesting blog post, that I will use as an excuse to think what changes should we bring to Wikimedia-Hackathon-2017-Organization

https://www.fastcompany.com/3059036/most-creative-people/what-do-women-want-at-hackathons-nasa-has-a-list

I think the Hackathon in Vienna is a good candidate to have a target (explicit or not) on women's participation. There is not only the childcare, we are also talking about workshops prior to the event (is it just me thinking that "bootcamp" is not the most woman-friendly term?), and we keep working on being explicit about safe spaces with the Code of Conduct for technical spaces.

Two interesting points of this post refer to things that we are NOT doing, and probably we should:

  • We are not showing pictures of women participants. In fact, we have no pictures at all in our Hackathon sites. I agree that pictures showing participants and how the hackathon looks like would help not only women but also many newcomers feeling that this is an event for them.
  • We are not emphasizing planned activities in advanced. In fact, we put all the stress explicitly in the unconference aspects of the hackathon in terms of improvisation and ad-hoc collaboration. I can see how this is not helping women and newcomers in general.

While the title talks about diversity, this first description focuses on women. This is because the topic of the blog post, also because working on a women-friendly event it is likely to work toward a diversity-friendly event in any case. Ideas for increasing participation of other groups are welcome.

Event Timeline

Qgil created this task.Apr 21 2016, 8:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2016, 8:03 AM
Qgil added a comment.Apr 21 2016, 8:04 AM

... And we should bring back shirts for women, which is a change I made to the events I organized years ago (a detail that was clearly well received by women (find "GUADEC" at http://headrush.typepad.com/creating_passionate_users/2006/12/tech_tshirts_ar.html).

Qgil updated the task description. (Show Details)Apr 21 2016, 8:12 AM
Qgil added a comment.Sep 9 2016, 9:55 AM

For what is worth, I have just suggested to apply these good ideas at T141935: Wikimedia Developer Summit Wiki up.

josephine_l added a subscriber: josephine_l.EditedOct 26 2016, 11:30 AM

My $0.02 as a woman and a first-time participant thinking of applying to attend the Wikimedia Hackathon 2017:

  1. I agree with the post - there seems to be very little easily-searchable information on past hackathons to draw from (e.g. blog posts, pictures, etc). Also there seems to not be much information about the general process for applying for scholarships?
  1. I couldn't seem to find much information about how accommodation works. For instance, if a woman applies for a scholarship that involves accommodation, might that potentially involve her having to share a room with a man or stay in a mixed dorm?
Lucie added a subscriber: Lucie.Oct 26 2016, 11:21 PM
Gjone1 added a subscriber: Gjone1.Oct 27 2016, 3:50 PM

It might be helpful if we had a dedicated person for these issues, that can also be contacted privately and also during the event.

@josephine_l Sorry that your question has been sitting around for so long. Maybe @Annemarie.Buchmann knows more about that?

Hi @josephine_l:

@Annemarie.Buchmann know best of course, but I can pretty confidently say that we would not require a women to share a room with a man with out it being at her own request and both people agree to the arrangement.

Scholarship information is up now and if you have any concerns after reviewing the information on the wiki please ask here or email hackathon@wikimedia.at and we will get back to you quickly!

https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2017/Register_and_Attend

Hi @Tobias1984 and @Rfarrand ,

No worries. When I made that post, it was Oct 2016 so there wasn't much information out yet - the current documentation certainly has all the information needed about rooms and scholarships. :) Sorry for jumping the gun!

I do think more blog posts etc about the event, especially written by fellow women, could help alleviate the first issue though. If I attend this hackathon, I'll try to write one up.

Should this task be assigned to someone?

Would you like to own it @Claudia.Garad ? :)

Do we post information about accessibility for people with special needs? This could include anything from a willingness to hire a sign language interpreter to providing a nursing mothers' room.

This event is in Vienna. Would it be helpful to have German-to-English and English-to-German translators for any sessions or announcements? Most educated people who speak German natively have learned English, but at the end of a long day, or if you're still in school – or if neither of those are your native language – then the opportunity to choose the language that you're listening to might make you feel more welcome and be more productive.

Claudia.Garad added a comment.EditedFeb 23 2017, 4:06 PM

Would you like to own it @Claudia.Garad ? :)

We plan to do this in our outreach in Austria. I'm not sure how this would work best on an international level (WMF blog)? I think we could organize one blog post in case we find a willing female volunteer but running a whole international campaign on our own will certainly be beyond our bandwidth

This event is in Vienna. Would it be helpful to have German-to-English and English-to-German translators for any sessions or announcements? Most educated people who speak German natively have learned English, but at the end of a long day, or if you're still in school – or if neither of those are your native language – then the opportunity to choose the language that you're listening to might make you feel more welcome and be more productive.

The idea is good, however I see a resource problem here. We won't have to the budget to hire professional translators and the technology (headsets with life interpreatations). I think these things have to be build into the budget at an earlier stage and there has to be a willingness on the side of the WMF to sponsor such add-ons ;-)

It might be helpful if we had a dedicated person for these issues, that can also be contacted privately and also during the event.
@josephine_l Sorry that your question has been sitting around for so long. Maybe @Annemarie.Buchmann knows more about that?

I'm so sorrry too - I was not aware of this thread until now! :-(

Some general remarks to @Katherine-WMF input: We fully agree and we did some extensive research on how to empower and enable newcomers in general and female newcomers in particular (benchmarking with other hackathons etc.). We found that the mentoring system where the mentors prepare a poject to work on with their mentees in advance of the hackathon is very powerful as it provides a chance for everyone to present something on the last day and go home with the feeling that they achieved and contributed something. More information on our plans here: https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2017/Register_and_Attend#Mentoring_program

Given that we find enough committed volunteer mentors (it will be a bit of a cultural shift for all of us, as we expect volunteers as well as staff members to participate mainly as mentors and not to pursue their own projects or only small parts of it during the hackathon) we would really like to intorduce that model here, as it seems to work very well in other communities.

We also made sure that females can be found on pictures around the event - however a broader set of images with female volunteers to chose from would be helpful. We will try to get some more this year :-)

Qgil added a comment.Mar 1 2017, 7:52 AM

@Claudia.Garad thank you for stepping in. Can this task be assigned to you?

Qgil assigned this task to Rfarrand.Apr 27 2017, 8:17 PM
Qgil triaged this task as Normal priority.
Qgil moved this task from Backlog to Ready to Go on the Developer-Advocacy (Apr-Jun 2017) board.
Rfarrand closed this task as Resolved.May 9 2017, 5:21 AM

We have daycare (support for mothers), both english and German language support, a lot of outreach was done to CEE regions, the scholarship process focused heavily on diversity of both location and language on the people that were accepted (we were able to give scholarship to people from 29 countries). I am closing this task as there is not much more we can do before Vienna. Feedback on improvements are always appreciated.

Qgil awarded a token.